Skip to main content
POST
/
payments
/
{payment_id}
/
fulfillments
curl --request POST \ --url https://api-sandbox.y.uno/v1/payments/{payment_id}/fulfillments \ --header 'Content-Type: application/json' \ --header 'private-secret-key: <api-key>' \ --header 'public-api-key: <api-key>' \ --data ' { "status": "PARTIAL", "fulfillments": [ { "id": "fulfillment-1", "type": "STANDARD", "status": "COMPLETED", "description": "Package delivered successfully.", "shipped_at": "2024-11-20T15:00:00Z", "deliver_at": "2024-11-23T18:00:00Z" } ], "carriers": [ { "id": "UPS", "tracking_id": [ "TRK12345", "TRK67890" ], "tracking_url": [ "https://tracking.example.com/TRK12345", "https://tracking.example.com/TRK67890" ] } ] } '
""
This endpoint allows you to add multiple fulfillments to an order to notify fraud prevention providers. Any fulfillments provided will be appended to the ones that already exist.

Authorizations

public-api-key
string
header
default:<Your public-api-key>
required
private-secret-key
string
header
default:<Your private-secret-key>
required

Body

application/json
status
enum<string>
required

The status of the order fulfillment.

Available options:
PARTIAL,
COMPLETED,
REPLACEMENT,
CANCELED
fulfillments
object[]
required

Fulfillments array

carriers
null

Deprecated: use fulfillments[].carriers instead

Response

Accepted

The response is of type object.